<?php
	
	/*-----------------------First highlight color-------------------*/

	$vw_newspaper_first_color = get_theme_mod('vw_newspaper_first_color');

	$vw_newspaper_custom_css = '';

	if($vw_newspaper_first_color != false){
		$vw_newspaper_custom_css .='.head-title, input[type="submit"], .scrollup i, .footer .custom-social-icons i, nav.woocommerce-MyAccount-navigation ul li, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, .woocommerce span.onsale, .sidebar input[type="submit"], .sidebar h3, .sidebar .custom-social-icons i, .date-monthwrap, .hvr-sweep-to-right:before, .footer .tagcloud a:hover, .sidebar .tagcloud a, .pagination span, .pagination a, #comments a.comment-reply-link, .sidebar .woocommerce-product-search button, .sidebar .widget_price_filter .ui-slider .ui-slider-range, .sidebar .widget_price_filter .ui-slider .ui-slider-handle, .footer .widget_price_filter .ui-slider .ui-slider-range, .footer .widget_price_filter .ui-slider .ui-slider-handle, .footer .woocommerce-product-search button, .footer a.custom_read_more, .sidebar a.custom_read_more:hover, .nav-previous a, .nav-next a, .woocommerce nav.woocommerce-pagination ul li a, #preloader, .footer .wp-block-search .wp-block-search__button, .sidebar .wp-block-search .wp-block-search__button, .sidebar .wp-block-search .wp-block-search__label,.bradcrumbs a:hover, .bradcrumbs span, .post-categories li a:hover, .sidebar .wp-block-heading, nav.navigation.posts-navigation .nav-previous a, nav.navigation.posts-navigation .nav-next a, .wp-block-tag-cloud a:hover, .wp-block-button .wp-block-button__link:hover, .woocommerce a.added_to_cart.wc-forward, a.wc-block-components-checkout-return-to-cart-button, .wp-block-woocommerce-empty-cart-block a.wp-block-button__link.add_to_cart_button.ajax_add_to_cart, .wc-block-grid .wc-block-grid__product-onsale, .woocommerce-cart .wc-block-grid .wc-block-grid__product-onsale{';
			$vw_newspaper_custom_css .='background-color: '.esc_attr($vw_newspaper_first_color).';';
		$vw_newspaper_custom_css .='}';
	}
	if($vw_newspaper_first_color != false){
		$vw_newspaper_custom_css .='#comments input[type="submit"].submit, .sidebar ul li::before, .sidebar ul.cart_list li::before, .sidebar ul.product_list_widget li::before,.wc-block-components-order-summary-item__quantity,.wp-block-woocommerce-cart .wc-block-cart__submit-button,
 .wc-block-components-checkout-place-order-button, .wc-block-components-totals-coupon__button{';
			$vw_newspaper_custom_css .='background-color: '.esc_attr($vw_newspaper_first_color).'!important;';
		$vw_newspaper_custom_css .='}';
	}
	if($vw_newspaper_first_color != false){
		$vw_newspaper_custom_css .='a, .search-box i, .footer h3, .metabox span i, .post-navigation a:hover .post-title, .post-navigation a:focus .post-title, .footer li a:hover, .sidebar ul li a:hover, .main-navigation a:hover, .main-navigation ul.sub-menu a:hover, .entry-content a, .sidebar .textwidget p a, .textwidget p a, #comments p a, .slider .inner_carousel p a, .toggle-nav i, .single-post .metabox:hover a, .service-box:hover h2 a, .service-box:hover .metabox a, .headline h2 a:hover, .main-content-box:hover h3 a, .main-content-box:hover .date-box a, .footer .wp-block-search .wp-block-search__label{';
			$vw_newspaper_custom_css .='color: '.esc_attr($vw_newspaper_first_color).';';
		$vw_newspaper_custom_css .='}';
	}
	if($vw_newspaper_first_color != false){
		$vw_newspaper_custom_css .='.woocommerce-cart .wc-block-grid .wc-block-grid__product-onsale{';
			$vw_newspaper_custom_css .='border-color: '.esc_attr($vw_newspaper_first_color).'!important;';
		$vw_newspaper_custom_css .='}';
	}
	if($vw_newspaper_first_color != false){
		$vw_newspaper_custom_css .='nav.woocommerce-MyAccount-navigation ul li:before{';
			$vw_newspaper_custom_css .='border-left-color: '.esc_attr($vw_newspaper_first_color).';';
		$vw_newspaper_custom_css .='}';
	}
	if($vw_newspaper_first_color != false){
		$vw_newspaper_custom_css .='.main-navigation ul ul{';
			$vw_newspaper_custom_css .='border-top-color: '.esc_attr($vw_newspaper_first_color).';';
		$vw_newspaper_custom_css .='}';
	}
	if($vw_newspaper_first_color != false){
		$vw_newspaper_custom_css .='.main-navigation ul ul{';
			$vw_newspaper_custom_css .='border-bottom-color: '.esc_attr($vw_newspaper_first_color).';';
		$vw_newspaper_custom_css .='}';
	}

	/*-------------------Second highlight color-------------------*/

    $vw_newspaper_second_color = get_theme_mod('vw_newspaper_second_color');

	$vw_newspaper_third_color = get_theme_mod('vw_newspaper_third_color');

	if($vw_newspaper_second_color != false || $vw_newspaper_third_color != false){
		$vw_newspaper_custom_css .='.home-page-header, .footer-2{
		background: linear-gradient(to right, '.esc_attr($vw_newspaper_second_color).', '.esc_attr($vw_newspaper_third_color).');
		}';
	}

	/*---------------------------Width Layout -------------------*/

	$vw_newspaper_theme_lay = get_theme_mod( 'vw_newspaper_width_option','Full Width');
    if($vw_newspaper_theme_lay == 'Boxed'){
		$vw_newspaper_custom_css .='body{';
			$vw_newspaper_custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
		$vw_newspaper_custom_css .='}';
		$vw_newspaper_custom_css .='.scrollup i{';
			$vw_newspaper_custom_css .='right: 100px;';
		$vw_newspaper_custom_css .='}';
		$vw_newspaper_custom_css .='.scrollup.left i{';
			$vw_newspaper_custom_css .='left: 100px;';
		$vw_newspaper_custom_css .='}';
	}else if($vw_newspaper_theme_lay == 'Wide Width'){
		$vw_newspaper_custom_css .='body{';
			$vw_newspaper_custom_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
		$vw_newspaper_custom_css .='}';
		$vw_newspaper_custom_css .='.scrollup i{';
			$vw_newspaper_custom_css .='right: 30px;';
		$vw_newspaper_custom_css .='}';
		$vw_newspaper_custom_css .='.scrollup.left i{';
			$vw_newspaper_custom_css .='left: 30px;';
		$vw_newspaper_custom_css .='}';
	}else if($vw_newspaper_theme_lay == 'Full Width'){
		$vw_newspaper_custom_css .='body{';
			$vw_newspaper_custom_css .='max-width: 100%;';
		$vw_newspaper_custom_css .='}';
	}

	/*---------------------------Blog Layout -------------------*/

	$vw_newspaper_theme_lay = get_theme_mod( 'vw_newspaper_blog_layout_option','Default');
    if($vw_newspaper_theme_lay == 'Default'){
		$vw_newspaper_custom_css .='.service-box{';
			$vw_newspaper_custom_css .='';
		$vw_newspaper_custom_css .='}';
		$vw_newspaper_custom_css .='.post-main-box h2{';
			$vw_newspaper_custom_css .='padding:10px 0;';
		$vw_newspaper_custom_css .='}';
		$vw_newspaper_custom_css .='.new-text p{';
			$vw_newspaper_custom_css .='margin-top:10px;';
		$vw_newspaper_custom_css .='}';
		$vw_newspaper_custom_css .='.blogbutton-small{';
			$vw_newspaper_custom_css .='margin: 0; display: inline-block;';
		$vw_newspaper_custom_css .='}';
	}else if($vw_newspaper_theme_lay == 'Center'){
		$vw_newspaper_custom_css .='.service-box, .post-main-box h2, .new-text p, .metabox, .content-bttn, .related-post h3.section-title{';
			$vw_newspaper_custom_css .='text-align:center;';
		$vw_newspaper_custom_css .='}';
		$vw_newspaper_custom_css .='.service-box{';
			$vw_newspaper_custom_css .='border: 1px dashed #ccc; padding: 15px; margin-bottom: 5%;';
		$vw_newspaper_custom_css .='}';
		$vw_newspaper_custom_css .='.metabox{';
			$vw_newspaper_custom_css .='background: #eeeeee; padding: 10px; margin-bottom: 15px;';
		$vw_newspaper_custom_css .='}';
		$vw_newspaper_custom_css .='.blogbutton-small{';
			$vw_newspaper_custom_css .='margin: 0; display: inline-block;';
		$vw_newspaper_custom_css .='}';
		$vw_newspaper_custom_css .='.service-box h2.section-title{';
			$vw_newspaper_custom_css .='border-bottom: none;';
		$vw_newspaper_custom_css .='}';
	}else if($vw_newspaper_theme_lay == 'Left'){
		$vw_newspaper_custom_css .='.service-box, .post-main-box h2, .new-text p, .content-bttn{';
			$vw_newspaper_custom_css .='text-align:Left;';
		$vw_newspaper_custom_css .='}';
		$vw_newspaper_custom_css .='.service-box{';
			$vw_newspaper_custom_css .='border: 1px dashed #ccc; padding: 15px; margin-bottom: 5%;';
		$vw_newspaper_custom_css .='}';
		$vw_newspaper_custom_css .='.metabox{';
			$vw_newspaper_custom_css .='background: #eeeeee; padding: 10px; margin-bottom: 15px;';
		$vw_newspaper_custom_css .='}';
		$vw_newspaper_custom_css .='.service-box h2.section-title{';
			$vw_newspaper_custom_css .='border-bottom: none;';
		$vw_newspaper_custom_css .='}';
	}

	// featured image dimention
	$vw_newspaper_blog_post_featured_image_dimension = get_theme_mod('vw_newspaper_blog_post_featured_image_dimension', 'default');
	$vw_newspaper_blog_post_featured_image_custom_width = get_theme_mod('vw_newspaper_blog_post_featured_image_custom_width',250);
	$vw_newspaper_blog_post_featured_image_custom_height = get_theme_mod('vw_newspaper_blog_post_featured_image_custom_height',250);
	if($vw_newspaper_blog_post_featured_image_dimension == 'custom'){
		$vw_newspaper_custom_css .='.post-main-box img{';
			$vw_newspaper_custom_css .='width: '.esc_attr($vw_newspaper_blog_post_featured_image_custom_width).'; height: '.esc_attr($vw_newspaper_blog_post_featured_image_custom_height).';';
		$vw_newspaper_custom_css .='}';
	}

	/*------------------Responsive Media -----------------------*/

	$vw_newspaper_resp_stickyheader = get_theme_mod( 'vw_newspaper_stickyheader_hide_show',false);
	if($vw_newspaper_resp_stickyheader == true && get_theme_mod( 'vw_newspaper_sticky_header',false) != true){
    	$vw_newspaper_custom_css .='.header-fixed{';
			$vw_newspaper_custom_css .='position:static;';
		$vw_newspaper_custom_css .='} ';
	}
    if($vw_newspaper_resp_stickyheader == true){
    	$vw_newspaper_custom_css .='@media screen and (max-width:575px) {';
		$vw_newspaper_custom_css .='.header-fixed{';
			$vw_newspaper_custom_css .='position:fixed;';
		$vw_newspaper_custom_css .='} }';
	}else if($vw_newspaper_resp_stickyheader == false){
		$vw_newspaper_custom_css .='@media screen and (max-width:575px){';
		$vw_newspaper_custom_css .='.header-fixed{';
			$vw_newspaper_custom_css .='position:static;';
		$vw_newspaper_custom_css .='} }';
	}

	$vw_newspaper_resp_sidebar = get_theme_mod( 'vw_newspaper_sidebar_hide_show',true);
    if($vw_newspaper_resp_sidebar == true){
    	$vw_newspaper_custom_css .='@media screen and (max-width:575px) {';
		$vw_newspaper_custom_css .='.sidebar{';
			$vw_newspaper_custom_css .='display:block;';
		$vw_newspaper_custom_css .='} }';
	}else if($vw_newspaper_resp_sidebar == false){
		$vw_newspaper_custom_css .='@media screen and (max-width:575px) {';
		$vw_newspaper_custom_css .='.sidebar{';
			$vw_newspaper_custom_css .='display:none;';
		$vw_newspaper_custom_css .='} }';
	}

	$vw_newspaper_resp_scroll_top = get_theme_mod( 'vw_newspaper_resp_scroll_top_hide_show',true);
	if($vw_newspaper_resp_scroll_top == true && get_theme_mod( 'vw_newspaper_hide_show_scroll',true) != true){
    	$vw_newspaper_custom_css .='.scrollup i{';
			$vw_newspaper_custom_css .='visibility:hidden !important;';
		$vw_newspaper_custom_css .='} ';
	}
    if($vw_newspaper_resp_scroll_top == true){
    	$vw_newspaper_custom_css .='@media screen and (max-width:575px) {';
		$vw_newspaper_custom_css .='.scrollup i{';
			$vw_newspaper_custom_css .='visibility:visible !important;';
		$vw_newspaper_custom_css .='} }';
	}else if($vw_newspaper_resp_scroll_top == false){
		$vw_newspaper_custom_css .='@media screen and (max-width:575px){';
		$vw_newspaper_custom_css .='.scrollup i{';
			$vw_newspaper_custom_css .='visibility:hidden !important;';
		$vw_newspaper_custom_css .='} }';
	}

	$vw_newspaper_resp_menu_toggle_btn_bg_color = get_theme_mod('vw_newspaper_resp_menu_toggle_btn_bg_color');
	if($vw_newspaper_resp_menu_toggle_btn_bg_color != false){
		$vw_newspaper_custom_css .='.toggle-nav i{';
			$vw_newspaper_custom_css .='background-color: '.esc_attr($vw_newspaper_resp_menu_toggle_btn_bg_color).';';
		$vw_newspaper_custom_css .='}';
	}

	/*-------------- Sticky Header Padding ----------------*/

	$vw_newspaper_sticky_header_padding = get_theme_mod('vw_newspaper_sticky_header_padding');
	if($vw_newspaper_sticky_header_padding != false){
		$vw_newspaper_custom_css .='.header-fixed{';
			$vw_newspaper_custom_css .='padding: '.esc_attr($vw_newspaper_sticky_header_padding).';';
		$vw_newspaper_custom_css .='}';
	}

	/*-------------- Menus Settings ----------------*/

	$vw_newspaper_navigation_menu_font_size = get_theme_mod('vw_newspaper_navigation_menu_font_size');
	if($vw_newspaper_navigation_menu_font_size != false){
		$vw_newspaper_custom_css .='.main-navigation a{';
			$vw_newspaper_custom_css .='font-size: '.esc_attr($vw_newspaper_navigation_menu_font_size).';';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_navigation_menu_font_weight = get_theme_mod('vw_newspaper_navigation_menu_font_weight','600');
	if($vw_newspaper_navigation_menu_font_weight != false){
		$vw_newspaper_custom_css .='.main-navigation a{';
			$vw_newspaper_custom_css .='font-weight: '.esc_attr($vw_newspaper_navigation_menu_font_weight).';';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_theme_lay = get_theme_mod( 'vw_newspaper_menu_text_transform','Capitalize');
	if($vw_newspaper_theme_lay == 'Capitalize'){
		$vw_newspaper_custom_css .='.main-navigation a{';
			$vw_newspaper_custom_css .='text-transform:Capitalize;';
		$vw_newspaper_custom_css .='}';
	}
	if($vw_newspaper_theme_lay == 'Lowercase'){
		$vw_newspaper_custom_css .='.main-navigation a{';
			$vw_newspaper_custom_css .='text-transform:Lowercase;';
		$vw_newspaper_custom_css .='}';
	}
	if($vw_newspaper_theme_lay == 'Uppercase'){
		$vw_newspaper_custom_css .='.main-navigation a{';
			$vw_newspaper_custom_css .='text-transform:Uppercase;';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_header_menus_color = get_theme_mod('vw_newspaper_header_menus_color');
	if($vw_newspaper_header_menus_color != false){
		$vw_newspaper_custom_css .='.main-navigation a{';
			$vw_newspaper_custom_css .='color: '.esc_attr($vw_newspaper_header_menus_color).';';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_header_menus_hover_color = get_theme_mod('vw_newspaper_header_menus_hover_color');
	if($vw_newspaper_header_menus_hover_color != false){
		$vw_newspaper_custom_css .='.main-navigation a:hover{';
			$vw_newspaper_custom_css .='color: '.esc_attr($vw_newspaper_header_menus_hover_color).';';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_header_submenus_color = get_theme_mod('vw_newspaper_header_submenus_color');
	if($vw_newspaper_header_submenus_color != false){
		$vw_newspaper_custom_css .='.main-navigation ul ul a{';
			$vw_newspaper_custom_css .='color: '.esc_attr($vw_newspaper_header_submenus_color).';';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_header_submenus_hover_color = get_theme_mod('vw_newspaper_header_submenus_hover_color');
	if($vw_newspaper_header_submenus_hover_color != false){
		$vw_newspaper_custom_css .='.main-navigation ul.sub-menu a:hover{';
			$vw_newspaper_custom_css .='color: '.esc_attr($vw_newspaper_header_submenus_hover_color).';';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_menus_item = get_theme_mod( 'vw_newspaper_menus_item_style','None');
    if($vw_newspaper_menus_item == 'None'){
		$vw_newspaper_custom_css .='.main-navigation a{';
			$vw_newspaper_custom_css .='';
		$vw_newspaper_custom_css .='}';
	}else if($vw_newspaper_menus_item == 'Zoom In'){
		$vw_newspaper_custom_css .='.main-navigation a:hover{';
			$vw_newspaper_custom_css .='transition: all 0.3s ease-in-out !important; transform: scale(1.2) !important; color:#000;';
		$vw_newspaper_custom_css .='}';
	}

	/*------------------ Search Settings -----------------*/
	
	$vw_newspaper_search_font_size = get_theme_mod('vw_newspaper_search_font_size');
	if($vw_newspaper_search_font_size != false){
		$vw_newspaper_custom_css .='.search-box i{';
			$vw_newspaper_custom_css .='font-size: '.esc_attr($vw_newspaper_search_font_size).';';
		$vw_newspaper_custom_css .='}';
	}

	/*---------------- Button Settings ------------------*/

	$vw_newspaper_button_padding_top_bottom = get_theme_mod('vw_newspaper_button_padding_top_bottom');
	$vw_newspaper_button_padding_left_right = get_theme_mod('vw_newspaper_button_padding_left_right');
	if($vw_newspaper_button_padding_top_bottom != false || $vw_newspaper_button_padding_left_right != false){
		$vw_newspaper_custom_css .='.blogbutton-small{';
			$vw_newspaper_custom_css .='padding-top: '.esc_attr($vw_newspaper_button_padding_top_bottom).'; padding-bottom: '.esc_attr($vw_newspaper_button_padding_top_bottom).';padding-left: '.esc_attr($vw_newspaper_button_padding_left_right).';padding-right: '.esc_attr($vw_newspaper_button_padding_left_right).';';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_button_border_radius = get_theme_mod('vw_newspaper_button_border_radius');
	if($vw_newspaper_button_border_radius != false){
		$vw_newspaper_custom_css .='.blogbutton-small,.hvr-sweep-to-right:before{';
			$vw_newspaper_custom_css .='border-radius: '.esc_attr($vw_newspaper_button_border_radius).'px;';
		$vw_newspaper_custom_css .='}';
	}

	$show_header = get_theme_mod( 'vw_newspaper_button_border', false);
	if($show_header == true){
		$vw_newspaper_custom_css .='.blogbutton-small{';
			$vw_newspaper_custom_css .='border:1px solid #000;';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_button_font_size = get_theme_mod('vw_newspaper_button_font_size',14);
	$vw_newspaper_custom_css .='.blogbutton-small{';
		$vw_newspaper_custom_css .='font-size: '.esc_attr($vw_newspaper_button_font_size).';';
	$vw_newspaper_custom_css .='}';

	$vw_newspaper_theme_lay = get_theme_mod( 'vw_newspaper_button_text_transform','Uppercase');
	if($vw_newspaper_theme_lay == 'Capitalize'){
		$vw_newspaper_custom_css .='.blogbutton-small{';
			$vw_newspaper_custom_css .='text-transform:Capitalize;';
		$vw_newspaper_custom_css .='}';
	}
	if($vw_newspaper_theme_lay == 'Lowercase'){
		$vw_newspaper_custom_css .='.blogbutton-small{';
			$vw_newspaper_custom_css .='text-transform:Lowercase;';
		$vw_newspaper_custom_css .='}';
	}
	if($vw_newspaper_theme_lay == 'Uppercase'){ 
		$vw_newspaper_custom_css .='.blogbutton-small{';
			$vw_newspaper_custom_css .='text-transform:Uppercase;';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_button_letter_spacing = get_theme_mod('vw_newspaper_button_letter_spacing');
	$vw_newspaper_custom_css .='.blogbutton-small{';
		$vw_newspaper_custom_css .='letter-spacing: '.esc_attr($vw_newspaper_button_letter_spacing).';';
	$vw_newspaper_custom_css .='}';



	/*------------- Single Blog Page------------------*/

	$vw_newspaper_featured_image_border_radius = get_theme_mod('vw_newspaper_featured_image_border_radius', 0);
	if($vw_newspaper_featured_image_border_radius != false){
		$vw_newspaper_custom_css .='.box-image img, .feature-box img{';
			$vw_newspaper_custom_css .='border-radius: '.esc_attr($vw_newspaper_featured_image_border_radius).'px;';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_featured_image_box_shadow = get_theme_mod('vw_newspaper_featured_image_box_shadow',0);
	if($vw_newspaper_featured_image_box_shadow != false){
		$vw_newspaper_custom_css .='.box-image img, #content-vw img{';
			$vw_newspaper_custom_css .='box-shadow: '.esc_attr($vw_newspaper_featured_image_box_shadow).'px '.esc_attr($vw_newspaper_featured_image_box_shadow).'px '.esc_attr($vw_newspaper_featured_image_box_shadow).'px #cccccc;';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_singlepost_image_box_shadow = get_theme_mod('vw_newspaper_singlepost_image_box_shadow',0);
	if($vw_newspaper_singlepost_image_box_shadow != false){
		$vw_newspaper_custom_css .='.feature-box img{';
			$vw_newspaper_custom_css .='box-shadow: '.esc_attr($vw_newspaper_singlepost_image_box_shadow).'px '.esc_attr($vw_newspaper_singlepost_image_box_shadow).'px '.esc_attr($vw_newspaper_singlepost_image_box_shadow).'px #cccccc;';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_related_image_box_shadow = get_theme_mod('vw_newspaper_related_image_box_shadow',0);
	if($vw_newspaper_related_image_box_shadow != false){
		$vw_newspaper_custom_css .='.related-post .box-image img{';
			$vw_newspaper_custom_css .='box-shadow: '.esc_attr($vw_newspaper_related_image_box_shadow).'px '.esc_attr($vw_newspaper_related_image_box_shadow).'px '.esc_attr($vw_newspaper_related_image_box_shadow).'px #cccccc;';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_single_blog_post_navigation_show_hide = get_theme_mod('vw_newspaper_single_blog_post_navigation_show_hide',true);
	if($vw_newspaper_single_blog_post_navigation_show_hide != true){
		$vw_newspaper_custom_css .='.post-navigation{';
			$vw_newspaper_custom_css .='display: none;';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_single_blog_comment_title = get_theme_mod('vw_newspaper_single_blog_comment_title', 'Leave a Reply');
	if($vw_newspaper_single_blog_comment_title == ''){
		$vw_newspaper_custom_css .='#comments h2#reply-title {';
			$vw_newspaper_custom_css .='display: none;';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_single_blog_comment_button_text = get_theme_mod('vw_newspaper_single_blog_comment_button_text', 'Post Comment');
	if($vw_newspaper_single_blog_comment_button_text == ''){
		$vw_newspaper_custom_css .='#comments p.form-submit {';
			$vw_newspaper_custom_css .='display: none;';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_comment_width = get_theme_mod('vw_newspaper_single_blog_comment_width');
	if($vw_newspaper_comment_width != false){
		$vw_newspaper_custom_css .='#comments textarea{';
			$vw_newspaper_custom_css .='width: '.esc_attr($vw_newspaper_comment_width).';';
		$vw_newspaper_custom_css .='}';
	}

	/*-------------- Copyright Alignment ----------------*/

	$vw_newspaper_copyright_first_color = get_theme_mod('vw_newspaper_copyright_first_color');

	$vw_newspaper_copyright_second_color = get_theme_mod('vw_newspaper_copyright_second_color');

	if($vw_newspaper_copyright_first_color != false || $vw_newspaper_copyright_second_color != false){
		$vw_newspaper_custom_css .='.footer-2{
		background: linear-gradient(to right, '.esc_attr($vw_newspaper_copyright_first_color).', '.esc_attr($vw_newspaper_copyright_second_color).');
		}';
	}

	$vw_newspaper_footer_background_color = get_theme_mod('vw_newspaper_footer_background_color');
	if($vw_newspaper_footer_background_color != false){
		$vw_newspaper_custom_css .='.footer{';
			$vw_newspaper_custom_css .='background-color: '.esc_attr($vw_newspaper_footer_background_color).';';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_footer_widgets_heading = get_theme_mod( 'vw_newspaper_footer_widgets_heading','Left');
    if($vw_newspaper_footer_widgets_heading == 'Left'){
		$vw_newspaper_custom_css .='.footer h3, .footer .wp-block-search .wp-block-search__label{';
		$vw_newspaper_custom_css .='text-align: left;';
		$vw_newspaper_custom_css .='}';
	}else if($vw_newspaper_footer_widgets_heading == 'Center'){
		$vw_newspaper_custom_css .='.footer h3, .footer .wp-block-search .wp-block-search__label{';
			$vw_newspaper_custom_css .='text-align: center;';
		$vw_newspaper_custom_css .='}';
	}else if($vw_newspaper_footer_widgets_heading == 'Right'){
		$vw_newspaper_custom_css .='.footer h3, .footer .wp-block-search .wp-block-search__label{';
			$vw_newspaper_custom_css .='text-align: right;';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_footer_widgets_content = get_theme_mod( 'vw_newspaper_footer_widgets_content','Left');
    if($vw_newspaper_footer_widgets_content == 'Left'){
		$vw_newspaper_custom_css .='.footer .widget{';
		$vw_newspaper_custom_css .='text-align: left;';
		$vw_newspaper_custom_css .='}';
	}else if($vw_newspaper_footer_widgets_content == 'Center'){
		$vw_newspaper_custom_css .='.footer .widget{';
			$vw_newspaper_custom_css .='text-align: center;';
		$vw_newspaper_custom_css .='}';
	}else if($vw_newspaper_footer_widgets_content == 'Right'){
		$vw_newspaper_custom_css .='.footer .widget{';
			$vw_newspaper_custom_css .='text-align: right;';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_copyright_font_size = get_theme_mod('vw_newspaper_copyright_font_size');
	if($vw_newspaper_copyright_font_size != false){
		$vw_newspaper_custom_css .='.copyright p{';
			$vw_newspaper_custom_css .='font-size: '.esc_attr($vw_newspaper_copyright_font_size).';';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_copyright_padding_top_bottom = get_theme_mod('vw_newspaper_copyright_padding_top_bottom');
	if($vw_newspaper_copyright_padding_top_bottom != false){
		$vw_newspaper_custom_css .='.footer-2{';
			$vw_newspaper_custom_css .='padding-top: '.esc_attr($vw_newspaper_copyright_padding_top_bottom).'; padding-bottom: '.esc_attr($vw_newspaper_copyright_padding_top_bottom).';';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_copyright_alignment = get_theme_mod('vw_newspaper_copyright_alignment');
	if($vw_newspaper_copyright_alignment != false){
		$vw_newspaper_custom_css .='.copyright p{';
			$vw_newspaper_custom_css .='text-align: '.esc_attr($vw_newspaper_copyright_alignment).';';
		$vw_newspaper_custom_css .='}';
		$vw_newspaper_custom_css .='
		@media screen and (max-width:720px) {
			.copyright p{';
			$vw_newspaper_custom_css .='text-align: center;} }';
	}

	$vw_newspaper_align_footer_social_icon = get_theme_mod('vw_newspaper_align_footer_social_icon');
	if($vw_newspaper_align_footer_social_icon != false){
		$vw_newspaper_custom_css .='.footer-2 .custom-social-icons{';
			$vw_newspaper_custom_css .='text-align: '.esc_attr($vw_newspaper_align_footer_social_icon).';';
		$vw_newspaper_custom_css .='}';
		$vw_newspaper_custom_css .='
		@media screen and (max-width:720px) {
			.footer-2 .custom-social-icons{';
			$vw_newspaper_custom_css .='text-align: center;} }';
	}

	$vw_newspaper_footer_padding = get_theme_mod('vw_newspaper_footer_padding');
	if($vw_newspaper_footer_padding != false){
		$vw_newspaper_custom_css .='.footer{';
			$vw_newspaper_custom_css .='padding: '.esc_attr($vw_newspaper_footer_padding).' 0;';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_footer_background_image = get_theme_mod('vw_newspaper_footer_background_image');
	if($vw_newspaper_footer_background_image != false){
		$vw_newspaper_custom_css .='.footer{';
			$vw_newspaper_custom_css .='background: url('.esc_attr($vw_newspaper_footer_background_image).');';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_theme_lay = get_theme_mod( 'vw_newspaper_img_footer','scroll');
	if($vw_newspaper_theme_lay == 'fixed'){
		$vw_newspaper_custom_css .='.footer{';
			$vw_newspaper_custom_css .='background-attachment: fixed !important;';
		$vw_newspaper_custom_css .='}';
	}elseif ($vw_newspaper_theme_lay == 'scroll'){
		$vw_newspaper_custom_css .='.footer{';
			$vw_newspaper_custom_css .='background-attachment: scroll !important;';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_footer_img_position = get_theme_mod('vw_newspaper_footer_img_position','center center');
	if($vw_newspaper_footer_img_position != false){
		$vw_newspaper_custom_css .='.footer{';
			$vw_newspaper_custom_css .='background-position: '.esc_attr($vw_newspaper_footer_img_position).'!important;';
		$vw_newspaper_custom_css .='}';
	}  

	/*----------------Sroll to top Settings ------------------*/

	$vw_newspaper_scroll_to_top_font_size = get_theme_mod('vw_newspaper_scroll_to_top_font_size');
	if($vw_newspaper_scroll_to_top_font_size != false){
		$vw_newspaper_custom_css .='.scrollup i{';
			$vw_newspaper_custom_css .='font-size: '.esc_attr($vw_newspaper_scroll_to_top_font_size).';';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_scroll_to_top_padding = get_theme_mod('vw_newspaper_scroll_to_top_padding');
	$vw_newspaper_scroll_to_top_padding = get_theme_mod('vw_newspaper_scroll_to_top_padding');
	if($vw_newspaper_scroll_to_top_padding != false){
		$vw_newspaper_custom_css .='.scrollup i{';
			$vw_newspaper_custom_css .='padding-top: '.esc_attr($vw_newspaper_scroll_to_top_padding).';padding-bottom: '.esc_attr($vw_newspaper_scroll_to_top_padding).';';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_scroll_to_top_width = get_theme_mod('vw_newspaper_scroll_to_top_width');
	if($vw_newspaper_scroll_to_top_width != false){
		$vw_newspaper_custom_css .='.scrollup i{';
			$vw_newspaper_custom_css .='width: '.esc_attr($vw_newspaper_scroll_to_top_width).';';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_scroll_to_top_height = get_theme_mod('vw_newspaper_scroll_to_top_height');
	if($vw_newspaper_scroll_to_top_height != false){
		$vw_newspaper_custom_css .='.scrollup i{';
			$vw_newspaper_custom_css .='height: '.esc_attr($vw_newspaper_scroll_to_top_height).';';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_scroll_to_top_border_radius = get_theme_mod('vw_newspaper_scroll_to_top_border_radius');
	if($vw_newspaper_scroll_to_top_border_radius != false){
		$vw_newspaper_custom_css .='.scrollup i{';
			$vw_newspaper_custom_css .='border-radius: '.esc_attr($vw_newspaper_scroll_to_top_border_radius).'px;';
		$vw_newspaper_custom_css .='}';
	}

	/*----------------Social Icons Settings ------------------*/

	$vw_newspaper_social_icon_font_size = get_theme_mod('vw_newspaper_social_icon_font_size');
	if($vw_newspaper_social_icon_font_size != false){
		$vw_newspaper_custom_css .='.sidebar .custom-social-icons i, .footer .custom-social-icons i, .footer-2 .custom-social-icons i{';
			$vw_newspaper_custom_css .='font-size: '.esc_attr($vw_newspaper_social_icon_font_size).';';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_social_icon_padding = get_theme_mod('vw_newspaper_social_icon_padding');
	if($vw_newspaper_social_icon_padding != false){
		$vw_newspaper_custom_css .='.sidebar .custom-social-icons i, .footer .custom-social-icons i{';
			$vw_newspaper_custom_css .='padding: '.esc_attr($vw_newspaper_social_icon_padding).';';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_social_icon_width = get_theme_mod('vw_newspaper_social_icon_width');
	if($vw_newspaper_social_icon_width != false){
		$vw_newspaper_custom_css .='.sidebar .custom-social-icons i, .footer .custom-social-icons i{';
			$vw_newspaper_custom_css .='width: '.esc_attr($vw_newspaper_social_icon_width).';';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_social_icon_height = get_theme_mod('vw_newspaper_social_icon_height');
	if($vw_newspaper_social_icon_height != false){
		$vw_newspaper_custom_css .='.sidebar .custom-social-icons i, .footer .custom-social-icons i{';
			$vw_newspaper_custom_css .='height: '.esc_attr($vw_newspaper_social_icon_height).';';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_social_icon_border_radius = get_theme_mod('vw_newspaper_social_icon_border_radius');
	if($vw_newspaper_social_icon_border_radius != false){
		$vw_newspaper_custom_css .='.sidebar .custom-social-icons i, .footer .custom-social-icons i{';
			$vw_newspaper_custom_css .='border-radius: '.esc_attr($vw_newspaper_social_icon_border_radius).'px;';
		$vw_newspaper_custom_css .='}';
	}

	/*----------------Woocommerce Products Settings ------------------*/

	$vw_newspaper_related_product_show_hide = get_theme_mod('vw_newspaper_related_product_show_hide',true);
	if($vw_newspaper_related_product_show_hide != true){
		$vw_newspaper_custom_css .='.related.products{';
			$vw_newspaper_custom_css .='display: none;';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_products_padding_top_bottom = get_theme_mod('vw_newspaper_products_padding_top_bottom');
	if($vw_newspaper_products_padding_top_bottom != false){
		$vw_newspaper_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
			$vw_newspaper_custom_css .='padding-top: '.esc_attr($vw_newspaper_products_padding_top_bottom).'!important; padding-bottom: '.esc_attr($vw_newspaper_products_padding_top_bottom).'!important;';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_products_padding_left_right = get_theme_mod('vw_newspaper_products_padding_left_right');
	if($vw_newspaper_products_padding_left_right != false){
		$vw_newspaper_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
			$vw_newspaper_custom_css .='padding-left: '.esc_attr($vw_newspaper_products_padding_left_right).'!important; padding-right: '.esc_attr($vw_newspaper_products_padding_left_right).'!important;';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_products_box_shadow = get_theme_mod('vw_newspaper_products_box_shadow');
	if($vw_newspaper_products_box_shadow != false){
		$vw_newspaper_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
				$vw_newspaper_custom_css .='box-shadow: '.esc_attr($vw_newspaper_products_box_shadow).'px '.esc_attr($vw_newspaper_products_box_shadow).'px '.esc_attr($vw_newspaper_products_box_shadow).'px #ddd;';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_products_border_radius = get_theme_mod('vw_newspaper_products_border_radius');
	if($vw_newspaper_products_border_radius != false){
		$vw_newspaper_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
			$vw_newspaper_custom_css .='border-radius: '.esc_attr($vw_newspaper_products_border_radius).'px;';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_products_btn_padding_top_bottom = get_theme_mod('vw_newspaper_products_btn_padding_top_bottom');
	if($vw_newspaper_products_btn_padding_top_bottom != false){
		$vw_newspaper_custom_css .='.woocommerce a.button{';
			$vw_newspaper_custom_css .='padding-top: '.esc_attr($vw_newspaper_products_btn_padding_top_bottom).' !important; padding-bottom: '.esc_attr($vw_newspaper_products_btn_padding_top_bottom).' !important;';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_products_btn_padding_left_right = get_theme_mod('vw_newspaper_products_btn_padding_left_right');
	if($vw_newspaper_products_btn_padding_left_right != false){
		$vw_newspaper_custom_css .='.woocommerce a.button{';
			$vw_newspaper_custom_css .='padding-left: '.esc_attr($vw_newspaper_products_btn_padding_left_right).' !important; padding-right: '.esc_attr($vw_newspaper_products_btn_padding_left_right).' !important;';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_products_button_border_radius = get_theme_mod('vw_newspaper_products_button_border_radius');
	if($vw_newspaper_products_button_border_radius != false){
		$vw_newspaper_custom_css .='.woocommerce ul.products li.product .button, a.checkout-button.button.alt.wc-forward,.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt{';
			$vw_newspaper_custom_css .='border-radius: '.esc_attr($vw_newspaper_products_button_border_radius).'px;';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_woocommerce_sale_position = get_theme_mod( 'vw_newspaper_woocommerce_sale_position','right');
    if($vw_newspaper_woocommerce_sale_position == 'left'){
		$vw_newspaper_custom_css .='.woocommerce ul.products li.product .onsale{';
			$vw_newspaper_custom_css .='left: -10px; right: auto;';
		$vw_newspaper_custom_css .='}';
	}else if($vw_newspaper_woocommerce_sale_position == 'right'){
		$vw_newspaper_custom_css .='.woocommerce ul.products li.product .onsale{';
			$vw_newspaper_custom_css .='left: auto; right: 0;';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_woocommerce_sale_font_size = get_theme_mod('vw_newspaper_woocommerce_sale_font_size');
	if($vw_newspaper_woocommerce_sale_font_size != false){
		$vw_newspaper_custom_css .='.woocommerce span.onsale{';
			$vw_newspaper_custom_css .='font-size: '.esc_attr($vw_newspaper_woocommerce_sale_font_size).';';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_woocommerce_sale_border_radius = get_theme_mod('vw_newspaper_woocommerce_sale_border_radius', 100);
	if($vw_newspaper_woocommerce_sale_border_radius != false){
		$vw_newspaper_custom_css .='.woocommerce span.onsale{';
			$vw_newspaper_custom_css .='border-radius: '.esc_attr($vw_newspaper_woocommerce_sale_border_radius).'px;';
		$vw_newspaper_custom_css .='}';
	}

	/*------------------ Logo  -------------------*/

	$vw_newspaper_logo_padding = get_theme_mod('vw_newspaper_logo_padding');
	if($vw_newspaper_logo_padding != false){
		$vw_newspaper_custom_css .='.logo{';
			$vw_newspaper_custom_css .='padding: '.esc_attr($vw_newspaper_logo_padding).';';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_logo_margin = get_theme_mod('vw_newspaper_logo_margin');
	if($vw_newspaper_logo_margin != false){
		$vw_newspaper_custom_css .='.logo{';
			$vw_newspaper_custom_css .='margin: '.esc_attr($vw_newspaper_logo_margin).';';
		$vw_newspaper_custom_css .='}';
	}

	// Site title Font Size
	$vw_newspaper_site_title_font_size = get_theme_mod('vw_newspaper_site_title_font_size');
	if($vw_newspaper_site_title_font_size != false){
		$vw_newspaper_custom_css .='.logo h1 a, .logo p.site-title a{';
			$vw_newspaper_custom_css .='font-size: '.esc_attr($vw_newspaper_site_title_font_size).';';
		$vw_newspaper_custom_css .='}';
	}

	// Site tagline Font Size
	$vw_newspaper_site_tagline_font_size = get_theme_mod('vw_newspaper_site_tagline_font_size');
	if($vw_newspaper_site_tagline_font_size != false){
		$vw_newspaper_custom_css .='.logo p.site-description{';
			$vw_newspaper_custom_css .='font-size: '.esc_attr($vw_newspaper_site_tagline_font_size).';';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_site_title_color = get_theme_mod('vw_newspaper_site_title_color');
	if($vw_newspaper_site_title_color != false){
		$vw_newspaper_custom_css .='p.site-title a{';
			$vw_newspaper_custom_css .='color: '.esc_attr($vw_newspaper_site_title_color).'!important;';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_site_tagline_color = get_theme_mod('vw_newspaper_site_tagline_color');
	if($vw_newspaper_site_tagline_color != false){
		$vw_newspaper_custom_css .='.logo p.site-description{';
			$vw_newspaper_custom_css .='color: '.esc_attr($vw_newspaper_site_tagline_color).';';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_logo_width = get_theme_mod('vw_newspaper_logo_width');
	if($vw_newspaper_logo_width != false){
		$vw_newspaper_custom_css .='.logo img{';
			$vw_newspaper_custom_css .='width: '.esc_attr($vw_newspaper_logo_width).';';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_logo_height = get_theme_mod('vw_newspaper_logo_height');
	if($vw_newspaper_logo_height != false){
		$vw_newspaper_custom_css .='.logo img{';
			$vw_newspaper_custom_css .='height: '.esc_attr($vw_newspaper_logo_height).';';
		$vw_newspaper_custom_css .='}';
	}

	// Woocommerce img

	$vw_newspaper_shop_featured_image_border_radius = get_theme_mod('vw_newspaper_shop_featured_image_border_radius', 0);
	if($vw_newspaper_shop_featured_image_border_radius != false){
		$vw_newspaper_custom_css .='.woocommerce ul.products li.product a img{';
			$vw_newspaper_custom_css .='border-radius: '.esc_attr($vw_newspaper_shop_featured_image_border_radius).'px;';
		$vw_newspaper_custom_css .='}';
	}

	/*------------------ Preloader Background Color  -------------------*/

	$vw_newspaper_preloader_bg_color = get_theme_mod('vw_newspaper_preloader_bg_color');
	if($vw_newspaper_preloader_bg_color != false){
		$vw_newspaper_custom_css .='#preloader{';
			$vw_newspaper_custom_css .='background-color: '.esc_attr($vw_newspaper_preloader_bg_color).';';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_preloader_border_color = get_theme_mod('vw_newspaper_preloader_border_color');
	if($vw_newspaper_preloader_border_color != false){
		$vw_newspaper_custom_css .='.loader-line{';
			$vw_newspaper_custom_css .='border-color: '.esc_attr($vw_newspaper_preloader_border_color).'!important;';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_preloader_bg_img = get_theme_mod('vw_newspaper_preloader_bg_img');
	if($vw_newspaper_preloader_bg_img != false){
		$vw_newspaper_custom_css .='#preloader{';
			$vw_newspaper_custom_css .='background: url('.esc_attr($vw_newspaper_preloader_bg_img).');-webkit-background-size: cover; -moz-background-size: cover; -o-background-size: cover; background-size: cover;';
		$vw_newspaper_custom_css .='}';
	}

	// Header Background Color
	$vw_newspaper_header_first_color = get_theme_mod('vw_newspaper_header_first_color');
	$vw_newspaper_header_second_color = get_theme_mod('vw_newspaper_header_second_color');
	if($vw_newspaper_header_first_color != false || $vw_newspaper_header_second_color != false){
		$vw_newspaper_custom_css .='.home-page-header{
		background: linear-gradient(to right, '.esc_attr($vw_newspaper_header_first_color).', '.esc_attr($vw_newspaper_header_second_color).');
		}';
	}

	$vw_newspaper_header_img_position = get_theme_mod('vw_newspaper_header_img_position','center top');
	if($vw_newspaper_header_img_position != false){
		$vw_newspaper_custom_css .='.home-page-header{';
			$vw_newspaper_custom_css .='background-position: '.esc_attr($vw_newspaper_header_img_position).'!important;';
		$vw_newspaper_custom_css .='}';
	}

	/*---------------------------Footer Style -------------------*/

	$vw_newspaper_theme_lay = get_theme_mod( 'vw_newspaper_footer_template','vw_newspaper-footer-one');
    if($vw_newspaper_theme_lay == 'vw_newspaper-footer-one'){
		$vw_newspaper_custom_css .='.footer{';
			$vw_newspaper_custom_css .='';
		$vw_newspaper_custom_css .='}';

	}else if($vw_newspaper_theme_lay == 'vw_newspaper-footer-two'){
		$vw_newspaper_custom_css .='.footer{';
			$vw_newspaper_custom_css .='background: linear-gradient(to right, #f9f8ff, #dedafa);';
		$vw_newspaper_custom_css .='}';
		$vw_newspaper_custom_css .='.footer p, .footer li a, .footer, .footer h3, .footer a.rsswidget, .footer #wp-calendar a, .copyright a, .footer .custom_details, .footer ins span, .footer .tagcloud a, .main-inner-box span.entry-date a, nav.woocommerce-MyAccount-navigation ul li:hover a, .footer ul li a, .footer table, .footer th, .footer td, .footer caption, #sidebar caption,.footer nav.wp-calendar-nav a,.footer .search-form .search-field{';
			$vw_newspaper_custom_css .='color:#000;';
		$vw_newspaper_custom_css .='}';
		$vw_newspaper_custom_css .='.footer ul li::before{';
			$vw_newspaper_custom_css .='background:#000;';
		$vw_newspaper_custom_css .='}';
		$vw_newspaper_custom_css .='.footer table, .footer th, .footer td,.footer .search-form .search-field,.footer .tagcloud a{';
			$vw_newspaper_custom_css .='border: 1px solid #000;';
		$vw_newspaper_custom_css .='}';

	}else if($vw_newspaper_theme_lay == 'vw_newspaper-footer-three'){
		$vw_newspaper_custom_css .='.footer{';
			$vw_newspaper_custom_css .='background: #232524;';
		$vw_newspaper_custom_css .='}';
	}
	else if($vw_newspaper_theme_lay == 'vw_newspaper-footer-four'){
		$vw_newspaper_custom_css .='.footer{';
			$vw_newspaper_custom_css .='background: #f7f7f7;';
		$vw_newspaper_custom_css .='}';
		$vw_newspaper_custom_css .='.footer p, .footer li a, .footer, .footer h3, .footer a.rsswidget, .footer #wp-calendar a, .copyright a, .footer .custom_details, .footer ins span, .footer .tagcloud a, .main-inner-box span.entry-date a, nav.woocommerce-MyAccount-navigation ul li:hover a, .footer ul li a, .footer table, .footer th, .footer td, .footer caption, #sidebar caption,.footer nav.wp-calendar-nav a,.footer .search-form .search-field{';
			$vw_newspaper_custom_css .='color:#000;';
		$vw_newspaper_custom_css .='}';
		$vw_newspaper_custom_css .='.footer ul li::before{';
			$vw_newspaper_custom_css .='background:#000;';
		$vw_newspaper_custom_css .='}';
		$vw_newspaper_custom_css .='.footer table, .footer th, .footer td,.footer .search-form .search-field,.footer .tagcloud a{';
			$vw_newspaper_custom_css .='border: 1px solid #000;';
		$vw_newspaper_custom_css .='}';
	}
	else if($vw_newspaper_theme_lay == 'vw_newspaper-footer-five'){
		$vw_newspaper_custom_css .='.footer{';
			$vw_newspaper_custom_css .='background: linear-gradient(to right, #01093a, #2d0b00);';
		$vw_newspaper_custom_css .='}';
	}


	/*---------------- Footer Settings ------------------*/

	$vw_newspaper_button_footer_heading_letter_spacing = get_theme_mod('vw_newspaper_button_footer_heading_letter_spacing',1);
	$vw_newspaper_custom_css .='.footer h3, a.rsswidget.rss-widget-title{';
		$vw_newspaper_custom_css .='letter-spacing: '.esc_attr($vw_newspaper_button_footer_heading_letter_spacing).'px;';
	$vw_newspaper_custom_css .='}';

	$vw_newspaper_button_footer_font_size = get_theme_mod('vw_newspaper_button_footer_font_size','30');
	$vw_newspaper_custom_css .='.footer h3, a.rsswidget.rss-widget-title{';
		$vw_newspaper_custom_css .='font-size: '.esc_attr($vw_newspaper_button_footer_font_size).'px;';
	$vw_newspaper_custom_css .='}';

	$vw_newspaper_theme_lay = get_theme_mod( 'vw_newspaper_button_footer_text_transform','Capitalize');
	if($vw_newspaper_theme_lay == 'Capitalize'){
		$vw_newspaper_custom_css .='.footer h3{';
			$vw_newspaper_custom_css .='text-transform:Capitalize;';
		$vw_newspaper_custom_css .='}';
	}
	if($vw_newspaper_theme_lay == 'Lowercase'){
		$vw_newspaper_custom_css .='.footer h3, a.rsswidget.rss-widget-title{';
			$vw_newspaper_custom_css .='text-transform:Lowercase;';
		$vw_newspaper_custom_css .='}';
	}
	if($vw_newspaper_theme_lay == 'Uppercase'){
		$vw_newspaper_custom_css .='.footer h3, a.rsswidget.rss-widget-title{';
			$vw_newspaper_custom_css .='text-transform:Uppercase;';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_footer_heading_weight = get_theme_mod('vw_newspaper_footer_heading_weight','600');
	if($vw_newspaper_footer_heading_weight != false){
		$vw_newspaper_custom_css .='.footer h3, a.rsswidget.rss-widget-title{';
			$vw_newspaper_custom_css .='font-weight: '.esc_attr($vw_newspaper_footer_heading_weight).';';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_responsive_preloader_hide = get_theme_mod('vw_newspaper_responsive_preloader_hide',false);
	if($vw_newspaper_responsive_preloader_hide == true && get_theme_mod('vw_newspaper_loader_enable',false) == false){
		$vw_newspaper_custom_css .='@media screen and (min-width:575px){
			#preloader{';
			$vw_newspaper_custom_css .='display:none !important;';
		$vw_newspaper_custom_css .='} }';
	}

	if($vw_newspaper_responsive_preloader_hide == false){
		$vw_newspaper_custom_css .='@media screen and (max-width:575px){
			#preloader{';
			$vw_newspaper_custom_css .='display:none !important;';
		$vw_newspaper_custom_css .='} }';
	}

	$vw_newspaper_bradcrumbs_alignment = get_theme_mod( 'vw_newspaper_bradcrumbs_alignment','Left');
    if($vw_newspaper_bradcrumbs_alignment == 'Left'){
    	$vw_newspaper_custom_css .='@media screen and (min-width:768px) {';
		$vw_newspaper_custom_css .='.bradcrumbs{';
			$vw_newspaper_custom_css .='text-align:start;';
		$vw_newspaper_custom_css .='}}';
	}else if($vw_newspaper_bradcrumbs_alignment == 'Center'){
		$vw_newspaper_custom_css .='@media screen and (min-width:768px) {';
		$vw_newspaper_custom_css .='.bradcrumbs{';
			$vw_newspaper_custom_css .='text-align:center;';
		$vw_newspaper_custom_css .='}}';
	}else if($vw_newspaper_bradcrumbs_alignment == 'Right'){
		$vw_newspaper_custom_css .='@media screen and (min-width:768px) {';
		$vw_newspaper_custom_css .='.bradcrumbs{';
			$vw_newspaper_custom_css .='text-align:end;';
		$vw_newspaper_custom_css .='}}';
	}

	$vw_newspaper_grid_featured_image_border_radius = get_theme_mod('vw_newspaper_grid_featured_image_border_radius', 0);
	if($vw_newspaper_grid_featured_image_border_radius != false){
		$vw_newspaper_custom_css .='.grid-box .box-image img, .grid-box .feature-box img{';
			$vw_newspaper_custom_css .='border-radius: '.esc_attr($vw_newspaper_grid_featured_image_border_radius).'px;';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_grid_featured_image_box_shadow = get_theme_mod('vw_newspaper_grid_featured_image_box_shadow',0);
	if($vw_newspaper_grid_featured_image_box_shadow != false){
		$vw_newspaper_custom_css .='.grid-box .box-image img, .grid-box .feature-box img, #content-vw img{';
			$vw_newspaper_custom_css .='box-shadow: '.esc_attr($vw_newspaper_grid_featured_image_box_shadow).'px '.esc_attr($vw_newspaper_grid_featured_image_box_shadow).'px '.esc_attr($vw_newspaper_grid_featured_image_box_shadow).'px #cccccc;';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_sticky_sidebar = get_theme_mod( 'vw_newspaper_sticky_sidebar',false);
	if($vw_newspaper_sticky_sidebar == true && get_theme_mod( 'vw_newspaper_sticky_sidebar',false) != true){
    	$vw_newspaper_custom_css .='#sidebar{';
			$vw_newspaper_custom_css .='position:static;';
		$vw_newspaper_custom_css .='} ';
	}

	$vw_newspaper_show_first_caps = get_theme_mod('vw_newspaper_show_first_caps', false);
	if ($vw_newspaper_show_first_caps ) {
	    $vw_newspaper_custom_css .= '.post-main-box .new-text p:nth-of-type(1)::first-letter {';
	    $vw_newspaper_custom_css .=' font-size: 55px;font-weight: 600;margin-right: 5px;';
	    $vw_newspaper_custom_css .='}';
	} else {
		$vw_newspaper_custom_css .= '.post-main-box .new-text p:nth-of-type(1)::first-letter {';
	    $vw_newspaper_custom_css .= 'display: none;';
	    $vw_newspaper_custom_css .='}';
	}

	// sticky sidebar
		$vw_newspaper_resp_stickysidebar = get_theme_mod( 'vw_newspaper_stickysidebar_hide_show',false);
	if($vw_newspaper_resp_stickysidebar == true && get_theme_mod( 'vw_newspaper_sticky_sidebar',false) != true){
		$vw_newspaper_custom_css .= '@media (min-width: 768px) {';
    	$vw_newspaper_custom_css .='#sidebar{';
			$vw_newspaper_custom_css .='position:static;';
		$vw_newspaper_custom_css .='} ';
		$vw_newspaper_custom_css .= '}';
	}
    // First Letter Capital
	$vw_newspaper_show_first_caps = get_theme_mod('vw_newspaper_show_first_caps', false);
	if ($vw_newspaper_show_first_caps ) {
	    $vw_newspaper_custom_css .= '.service-text .entry-content p:nth-of-type(1)::first-letter {';
	    $vw_newspaper_custom_css .=' font-size: 55px;font-weight: 600;margin-right: 5px;';
	    $vw_newspaper_custom_css .='}';
	} else {
		$vw_newspaper_custom_css .= '.service-text .entry-content p:nth-of-type(1)::first-letter {';
	    $vw_newspaper_custom_css .= 'display: none;';
	    $vw_newspaper_custom_css .='}';
	}
	// Web Frame 
	$vw_newspaper_web_frame = get_theme_mod('vw_newspaper_web_frame',false);
	if($vw_newspaper_web_frame == false && get_theme_mod( 'vw_newspaper_web_frame',false) != true){
		$vw_newspaper_custom_css .='.web-frame{';
		$vw_newspaper_custom_css .='border: 1px !important';
		$vw_newspaper_custom_css .='}';
	}

	$vw_newspaper_web_frame_border_color = get_theme_mod('vw_newspaper_web_frame_border_color');
	if($vw_newspaper_web_frame_border_color != false){
		$vw_newspaper_custom_css .='.web-frame{';
			$vw_newspaper_custom_css .='border-color: '.esc_attr($vw_newspaper_web_frame_border_color).'!important;';
		$vw_newspaper_custom_css .='}';
	}
    
	$vw_newspaper_web_frame_border_width = get_theme_mod('vw_newspaper_web_frame_border_width');
	if($vw_newspaper_web_frame_border_width != false){
		$vw_newspaper_custom_css .='.web-frame{';
			$vw_newspaper_custom_css .='border-width: '.esc_attr($vw_newspaper_web_frame_border_width).'!important;';
		$vw_newspaper_custom_css .='}';
	}

	// change the Category style //
	$vw_newspaper_single_post_styling = get_theme_mod( 'vw_newspaper_single_post_styling','Button');
		if($vw_newspaper_single_post_styling == 'Underline'){
		$vw_newspaper_custom_css .='.single-post-category .post-categories li a{';
			$vw_newspaper_custom_css .='text-decoration: underline; color: #000; background-color: transparent;';
		$vw_newspaper_custom_css .='}';
	}
	else if($vw_newspaper_single_post_styling == 'Default'){
		$vw_newspaper_custom_css .='.single-post-category .post-categories li a{';
			$vw_newspaper_custom_css .='text-decoration: none; color: #000; background-color: transparent;';
		$vw_newspaper_custom_css .='}';
	}

